import { Module } from '@nestjs/common';
import { StaffModule } from '../staff/staff.module';
import { TrpcService } from '@server/trpc/trpc.service';
import { SystemLogController } from './systemLog.controller';
import { SystemLogService } from './systemLog.service';
import { SystemLogRouter } from './systemLog.router';

@Module({
  imports: [StaffModule],
  controllers: [SystemLogController],
  providers: [SystemLogService, SystemLogRouter, TrpcService],
  exports: [SystemLogService, SystemLogRouter],
})
export class SystemLogModule {}